Bug 1052451 - (CVE-2017-12606) VUL-0: CVE-2017-12606: opencv: out-of-bounds write error in the function FillColorRow4 in utils.cpp
(CVE-2017-12606)
VUL-0: CVE-2017-12606: opencv: out-of-bounds write error in the function Fill...
Status: RESOLVED WONTFIX
Classification: openSUSE
Product: openSUSE Distribution
Classification: openSUSE
Component: Security
Leap 42.3
Other Other
: P3 - Medium : Normal (vote)
: ---
Assigned To: Security Team bot
E-mail List
CVSSv2:NVD:CVE-2017-12606:6.8:(AV:N/...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-07 06:20 UTC by Alexander Bergmann
Modified: 2019-07-11 11:15 UTC (History)
3 users (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---
yfjiang: needinfo? (qzheng)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Bergmann 2017-08-07 06:20:33 UTC
CVE-2017-12606

OpenCV (Open Source Computer Vision Library) through 3.3 has an
out-of-bounds write error in the function FillColorRow4 in utils.cpp
when reading an image file by using cv::imread.

References:
https://github.com/opencv/opencv/issues/9309
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2017-12606
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-12606
Comment 1 Qiang Zheng 2018-05-16 03:33:37 UTC
It is duplicated from this bug:
https://bugzilla.suse.com/show_bug.cgi?id=1033150

*** This bug has been marked as a duplicate of bug 1033150 ***
Comment 2 Yifan Jiang 2018-05-16 07:21:51 UTC
Hi Zheng Qiang,

Sorry I have to reopen since there is no easy clue showing why they are duplicated, could you explain more before closing it (in addition, it's always better to confirm with security-team before closing security bugs :-))?
Comment 3 Swamp Workflow Management 2018-05-17 01:30:05 UTC
This is an autogenerated message for OBS integration:
This bug (1052451) was mentioned in
https://build.opensuse.org/request/show/609943 42.3 / opencv
Comment 4 Swamp Workflow Management 2018-05-18 03:40:05 UTC
This is an autogenerated message for OBS integration:
This bug (1052451) was mentioned in
https://build.opensuse.org/request/show/610174 42.3 / opencv
Comment 5 Swamp Workflow Management 2018-05-21 07:40:06 UTC
This is an autogenerated message for OBS integration:
This bug (1052451) was mentioned in
https://build.opensuse.org/request/show/610882 42.3 / opencv
Comment 6 Swamp Workflow Management 2018-05-23 13:10:34 UTC
openSUSE-SU-2018:1385-1: An update that fixes 15 vulnerabilities is now available.

Category: security (important)
Bug References: 1033152,1052451,1052454,1052455,1052456,1052457,1052459,1052461,1052462,1052465,1054019,1054020,1054021,1054984,1057146
CVE References: CVE-2016-1516,CVE-2017-12597,CVE-2017-12598,CVE-2017-12599,CVE-2017-12600,CVE-2017-12601,CVE-2017-12602,CVE-2017-12603,CVE-2017-12604,CVE-2017-12605,CVE-2017-12606,CVE-2017-12862,CVE-2017-12863,CVE-2017-12864,CVE-2017-14136
Sources used:
openSUSE Leap 42.3 (src):    opencv-3.1.0-4.6.1, opencv-qt5-3.1.0-4.6.1
Comment 7 Tomáš Chvátal 2019-07-11 11:15:46 UTC
This is automated batch bugzilla cleanup.

The openSUSE 42.3 changed to end-of-life (EOL [1]) status. As such
it is no longer maintained, which means that it will not receive any
further security or bug fix updates.
As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
openSUSE (At this moment openSUSE Leap 15.1, 15.0 and Tumbleweed) please
feel free to reopen this bug against that version (!you must update the
"Version" component in the bug fields, do not just reopen please), or
alternatively create a new ticket.

Thank you for reporting this bug and we are sorry it could not be fixed
during the lifetime of the release.

[1] https://en.opensuse.org/Lifetime